Get All Flows Using Action
Fetch all action flows using an action
Retrieves a list of all action flows which are using the specified action
Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/abx/api/resources/actions/{id}/flows
COPY
Path Parameters
string
id
Required
ID of the action
Query Parameters
string
projectId
Optional
Project ID of action (required for non-system actions)
Responses
200
List of flows using action
[
{
"name": "string",
"metadata": {},
"runtime": "string",
"source": "string",
"entrypoint": "string",
"description": "string",
"inputs": {},
"memoryInMB": 0,
"prePolyglotMemoryLimitInMB": 0,
"showMemoryAlert": false,
"timeoutSeconds": 0,
"dependencies": "string",
"compressedContent": "string",
"actionType": "string",
"provider": "string",
"contentId": "string",
"configuration": {},
"system": false,
"shared": false,
"scalable": false,
"asyncDeployed": false,
"runtimeVersion": "string",
"id": "string",
"projectId": "string",
"orgId": "string",
"selfLink": "string"
}
]
401
Unauthorized to make the request
[
{
"name": "string",
"metadata": {},
"runtime": "string",
"source": "string",
"entrypoint": "string",
"description": "string",
"inputs": {},
"memoryInMB": 0,
"prePolyglotMemoryLimitInMB": 0,
"showMemoryAlert": false,
"timeoutSeconds": 0,
"dependencies": "string",
"compressedContent": "string",
"actionType": "string",
"provider": "string",
"contentId": "string",
"configuration": {},
"system": false,
"shared": false,
"scalable": false,
"asyncDeployed": false,
"runtimeVersion": "string",
"id": "string",
"projectId": "string",
"orgId": "string",
"selfLink": "string"
}
]
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/abx/api/resources/actions/{id}/flows